﻿namespace Assets.Scripts.Utils
{
    public enum TileType
    {
        Default,
        Wall,
        Background
    }

    public class Map
    {
        #region Fields

        public uint Columns { get; set; }
        public uint Rows { get; set; }

        private TileType[,] _map;

        #endregion

        #region Ctors

        public Map(uint cols, uint rows)
        {
            Columns = cols;
            Rows = rows;

            _map = new TileType[Columns, Rows];
        }

        #endregion

        public TileType this[uint x, uint y]
        {
            get { return _map[x, y]; }
            set { _map[x, y] = value; }
        }
    }
}